<?
##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 3.0 от 4.06.10                    #
## ДАННЫЙ СКРИПТ РАСПРОСТРАНЯЕТСЯ БЕСПЛАТНО #
## КАЧАЕМ ТОЛЬКО НА   http://masteram.us    #
#########################################
require'../config.php';
$align='left';
$title='Сообщения';
head();
aut();
who_add(0,'enter');
$mod = check($_GET['mod']);
switch($mod){
default:

if (isset($_GET['delread'])){
mysql_query("DELETE FROM `privat` where to_id = '".$user['id']."' and readin =1");
header ('Location: privat?'.SID);
}

if ($a[id]==$user[id]){header ('Location: privat?mod=myne');}

if (isset($_GET['delall'])){
mysql_query("DELETE FROM `privat` where to_id = '".$user['id']."'");
header ('Location: privat?'.SID);
}

echo '&#187; <a href="privat?mod=in">Входящие</a>(<b>'.mysql_result(mysql_query("select count(*) as num from privat where to_id = '".$user['id']."' and readin !=1"),0).'</b>/'.mysql_result(mysql_query("select count(*) as num from privat where to_id = '".$user['id']."'"),0).')<br />';
echo '&#187; <a href="privat?mod=aut">Исходящие</a>(<b>'.mysql_result(mysql_query("select count(*) as num from privat where user_id = '".$user['id']."' and readin !=1"),0).'</b>/'.mysql_result(mysql_query("select count(*) as num from privat where user_id = '".$user['id']."'"),0).')<br /><br />';


echo '&#187; <a href="privat?mod=add">Написать</a><br />';
echo '&#187; <a href="privat?delread">Удалить все прочитанные</a><br />';
echo '&#187; <a href="privat?delall">Удалить все входящие</a><br />';
echo '&#187; <a href="friends">Ваши Друзья</a><br />';
echo '&#187; <a href="ignor">Черный список</a><br />';
break;

case add:
$act = check($_GET['act']);
if (empty($act)){
if ($_GET['err']==1)echo '<b>Сообщение должно быть длиннее 5 символов!</b>';
if ($_GET['err']==2)echo '<b>Такого пользователя не существует!</b><br />';
if ($_GET['err']==4)echo '<b>Чтобы писать записки, нужно набрать '.$set['posts_pr'].' постов!</b>';
if ($_GET['err']==5)echo '<b>Запрещено писать пользователям с х-статусом "Не беспокоить"<img src="'.H.'img/online/zaniat.png" alt="" /></b>';
if ($_GET['err']==6)echo '<b>Вы не можете писать этому пользователю, т.к. находитесь в его черном списке.</b>';
if ($_GET['err']==7)echo '<b>Этому пользователю писать могут только друзья.</b>';
if ($_GET['err']==8)echo '<b>Полозователь запретил отправлять ему сообщения.</b>';
if ($ver!='wml')echo '<form action="privat?mod='.$mod.'&amp;act=act&amp;'.SID.'" method="post">';

$to = check($_GET['to']);

if ($ver=='wml'){
echo 'Кому (Ник/ID):<br /><input name="to'.$ref.'" maxlength="15" value="'.$to.'" title="komu"/><br/>';
echo 'Сообщение:<br /><input name="msg'.$ref.'" maxlength="512" title="komu"/><br/>';
$chislo=rand(1000,9999);
mysql_query("DELETE FROM `chislo` WHERE `ip` = '".$ip."'");
mysql_query("INSERT INTO `chislo` (chislo,ip) values('$chislo','".$ip."')");
echo '&#160;<b>'.$chislo.'</b><br/>Проверочный код:<br/>
<input type="text" name="code'.$ref.'" size="4" maxlength="4" title="code"/>';

echo '<br /><anchor title="go">Написать<go href="privat?mod='.$mod.'&amp;act=add&amp;'.SID.'" method="post"><br />';
echo '<postfield name="to" value="$to'.$ref.'"/>
<postfield name="msg" value="$msg'.$ref.'"/>
<postfield name="code" value="$code'.$ref.'"/>
</go></anchor><br />';
}else{
echo "Кому (Ник/ID):<br /><input name='to' maxlength='15' value='$to' title='komu'/><br/>\n";
echo'Сообщение:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg" ></textarea><br />';
echo '<input type="submit" class="ibutton" value="Написать"/></form><br /><br />';
}


}else{


$to = check($_POST['to']);
$msg = check($_POST['msg']);
$_POST['code'] = check($_POST['code']);
$msg = iconv('utf-8', 'windows-1251', $msg);
$msg = substr($msg,0,512);
$msg = iconv('windows-1251', 'utf-8', $msg);
if ($user['translit']==1)$msg = translit($msg);

if ($user['posts']<$set['posts_pr']){header ('Location: privat?mod='.$mod.'&err=4&'.SID);  exit;}

if (!user($to)){header ('Location: privat?mod='.$mod.'&err=2&'.SID);  exit;}
if (strlen2($msg)<5){header ('Location: privat?mod='.$mod.'&err=1&'.SID); exit;}
if (user_inf($to,'xstatus')==2){header ('Location: privat?mod='.$mod.'&err=5&'.SID);  exit;}

if (ignor(user_inf($to),$user['id'])==1){header ('Location: privat?mod='.$mod.'&err=6&'.SID);  exit;}

if (user_inf($to,'pp_m_s')==2){header ('Location: privat?mod='.$mod.'&err=8&'.SID);  exit;}
if (user_inf($to,'pp_m_s')==1 && friends($to,$user['id'])!=1){header ('Location: privat?mod='.$mod.'&err=7&'.SID);  exit;}


if (mysql_query ("INSERT INTO privat (user,user_id,to_user,to_id,time,msg) VALUES ('$user[user]','$user[id]','".user($to)."','".user_inf($to)."','$time','$msg')")){

if (user_inf($to,'pm_notify')==1){
if ($user['sex']==1)$sex = 'оставил'; else $sex = 'оставила';
$msgmail = "".$user['user']." ".$sex." Вам личное сообщение.\n Просмотреть Ваши новые личные сообщения можно на странице:\n http://".$_SERVER['HTTP_HOST']."/my/privat \n\n С уважением,
Администрация ".$_SERVER['HTTP_HOST']."\n_ _ _ _ _\n
Вы можете поменять настройки e-mail оповещений на странице:
http://".$_SERVER['HTTP_HOST']."/my/setting?mod=notify";
$mail=explode('|',user_inf($to,'mail'));
addmail($mail[0], $user['user'].' '.$sex.' Вам личное сообщение', $msgmail);
}

echo 'Сообщение для <b>'.user_inf($to,'user').'</b> отправлено!<br />';
mysql_query("DELETE FROM `chislo` WHERE `ip` = '".$ip."'");
if (user_inf($to,'onl')<($time-300)){
if(user_inf($to,'avtootvet')!=""){
echo 'Автоответчик: '.user_inf($to,'avtootvet').'<br/>';
}
}

}else{

echo 'Ошибка!';

}
}

break;


case in:

if (isset($_GET['del'])){
mysql_query("DELETE FROM `privat` WHERE `id` = '".intval($_GET['del'])."' and `to_id` = '$user[id]'");
}

if (isset($_GET['delall'])){
mysql_query("DELETE FROM `privat` WHERE `user_id` = '".intval($_GET['delall'])."' and `to_id` = '$user[id]'");
}

if (empty($user['max_pr'])) $user['max_pr']=5;
$max = $user['max_pr'];
$k_post=mysql_result(mysql_query("select count(*) as num from privat where to_id = '".$user['id']."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = mysql_query ("Select * from privat where to_id = '".$user['id']."' order by time desc LIMIT $start, $max");
$k = mysql_num_rows($r);
if ( $k == 0 )
{
echo 'Сообщений пока нет :(<br />';
}

$post_k=$start+1;
while($a = @mysql_fetch_array($r)){
if ($a['readin'] == 0){mysql_query ("Update privat set readin = '1' WHERE id ='".$a['id']."'");
echo links.'<img src="'.H.'img/new.gif" alt="" /> ';
}else echo links;
if ($a['user_id']==0)echo '<b>'.nik($a['user']).'</b> ('.times($a['time']).')<br />'.div;
else echo '<b>'.nik($a['user_id']).'</b> ('.times($a['time']).')<br />'.div;
echo antir(text($a['msg']))."<br/>";

echo '<dl><dt></dt></dl><a href="privat?mod=add&amp;to='.user_inf($a['user']).'">Ответить</a>|<a href="friends?mod=add&amp;act=add&amp;nick='.user_inf($a['user']).'">В друзья</a>|<a href="ignor?mod=add&amp;act=add&amp;nick='.user_inf($a['user']).'">В черный список</a>|<a href="privat.php?mod=spam&post='.$a['id'].'">Это спам</a>|<a href="privat?mod='.$mod.'&amp;del='.$a['id'].'">Удалить</a>|
<a href="privat?mod='.$mod.'&amp;delall='.user_inf($a["user"]).'">Удалить всё от</a> '.user($a["user"]).'';
echo "<hr />";
}
if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('privat?mod=in&amp;',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}

break;
case spam:
$q=mysql_fetch_array(mysql_query("SELECT * FROM `privat` WHERE `id` = '".intval($_GET['post'])."' LIMIT 1"));
$msgrat="[b]$user[user][/b]|$q[msg]|От: $q[user_id]";
mysql_query("INSERT INTO `spamus` (`id_user`, `id_kont`, `msg`, `time`) values('0', '1', '$msgrat', '$time')");
print"Вы уведомили администрацию о спаме. Спасибо";

break;
case aut:


if (empty($user['max_pr'])) $user['max_pr']=5;
$max = $user['max_pr'];
$k_post=mysql_result(mysql_query("select count(*) as num from privat where user_id = '".$user['id']."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = mysql_query ("Select * from privat where user_id = '".$user['id']."' order by time desc LIMIT $start, $max");
$k = mysql_num_rows($r);
if ( $k == 0 )
{
echo 'Сообщений пока нет :(<br />';
}
$post_k=$start+1;
while($a = @mysql_fetch_array($r)){

if ($a['to_id']=='')echo user($a['to_user"']).'('.times($a['time']).')<br />';
else echo '<b>'.nik($a['to_user']).'</b> ('.times($a['time']).')<br />';
echo antir(text($a['msg']))."<br/>";

echo '<dl><dt></dt></dl><a href="privat?mod=add&amp;to='.user_inf($a['to_user']).'">Написать ещё</a>|<a href="friends?mod=add&amp;user='.user_inf($a['to_user']).'">В друзья</a>|<a href="ignor?mod=add&amp;act=add&amp;nick='.$inf['id'].'">В черный список</a>';
echo "<hr />";
}
if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('privat?mod='.$mod.'&amp;',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}

break;

case myne:
echo '<b>Писать себе не логично!</b>';
break;

case del:


break;
}


if ($mod)echo gb.'<a href="'.H.'my/privat">Ваши письма</a>'.div;
echo gb.'<a href="'.H.'my/index">Личный кабинет</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();

?>
